<?php
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."mini_tabela_panel/infusion_db.php";

// Infusion Information
$inf_title = "Tabela Pikarska";
$inf_description = "Tabela Pikarska";
$inf_version = "1.0";
$inf_developer = "Kefirek";
$inf_email = "kopec89@o2.pl";
$inf_weburl = "http://www.gc.com";

// Infusion Paths
$inf_folder = "mini_tabela_panel";

$inf_newtable[1] = DB_TABELA_PILKARSKA_DRUZYNY." (
 `druzyna_id` smallint(5) unsigned NOT NULL auto_increment,
 `nazwa` varchar(200) NOT NULL default '0',
 `logo` varchar(200) NOT NULL,
 `liga_id` smallint(5) unsigned NOT NULL default '0',
 `data` int(10) unsigned NOT NULL default '0',
 `user_id` smallint(5) unsigned NOT NULL default '0',
 PRIMARY KEY  (`druzyna_id`)
   ) TYPE=MyISAM";
   
$inf_newtable[2] = DB_TABELA_PILKARSKA_LIGI." (
 `liga_id` smallint(5) unsigned NOT NULL auto_increment,
 `nazwa` varchar(200) NOT NULL default '0',
 `data` int(10) unsigned NOT NULL default '0',
 `user_id` smallint(5) unsigned NOT NULL default '0',
 PRIMARY KEY  (`liga_id`)
   ) TYPE=MyISAM";   

$inf_newtable[3] = DB_TABELA_PILKARSKA_NMECZE." (
 `nmecz_id` smallint(5) unsigned NOT NULL auto_increment,
 `druzyna1` smallint(5) unsigned NOT NULL default '0',
 `druzyna2` smallint(5) unsigned NOT NULL default '0',
 `data_meczu` int(10) unsigned NOT NULL default '0',
 PRIMARY KEY  (`nmecz_id`)
   ) TYPE=MyISAM";
   
$inf_newtable[4] = DB_TABELA_PILKARSKA_RMECZE." (
 `rmecz_id` smallint(5) unsigned NOT NULL auto_increment,
 `druzyna_id` smallint(5) unsigned NOT NULL default '0',
 `pkt` smallint(1) unsigned NOT NULL default '0', 
 `zdobyte_bramki` smallint(1) unsigned NOT NULL default '0',
 `stracone_bramki` smallint(1) unsigned NOT NULL default '0',
 `przeciwnik_id` smallint(5) unsigned NOT NULL default '0',
  `data` int(10) unsigned NOT NULL default '0',
 PRIMARY KEY  (`rmecz_id`)
   ) TYPE=MyISAM";
   
$inf_newtable[5] = DB_TABELA_PILKARSKA_RZMECZE." (
 `rzmecz_id` smallint(5) unsigned NOT NULL auto_increment,
 `druzyna_id1` smallint(5) unsigned NOT NULL default '0',
 `druzyna_id2` smallint(5) unsigned NOT NULL default '0',
 `wynik` varchar(200) NOT NULL default '0',
 `data` int(10) unsigned NOT NULL default '0',
 PRIMARY KEY  (`rzmecz_id`)
   ) TYPE=MyISAM";          
	
// Database Table Drop Command : Drop tables if infusion is uninstalled.
$inf_droptable[1] = DB_TABELA_PILKARSKA_DRUZYNY;
$inf_droptable[2] = DB_TABELA_PILKARSKA_LIGI;
$inf_droptable[3] = DB_TABELA_PILKARSKA_NMECZE;
$inf_droptable[4] = DB_TABELA_PILKARSKA_RMECZE;
$inf_droptable[5] = DB_TABELA_PILKARSKA_RZMECZE;


$inf_adminpanel[1] = array(
	"title" => "Tabela Pikarska",
	"image" => "infusions.gif",
	"panel" => "tabela_pilkarska_admin.php",
	"rights" => "TP"
);

$inf_folder = "mini_tabela_panel";
$inf_admin_image = "infusions.gif";
$inf_admin_panel = "tabela_pilkarska_nmecze_panel.php";
?>
