<?php
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

if (!checkrights("TP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

include INFUSIONS."tabela_pilkarska_panel/infusion_db.php";
include INFUSIONS."tabela_pilkarska_panel/menu.php";

$result = dbquery("SELECT * FROM ".DB_TABELA_PILKARSKA_DRUZYNY."");
if(dbrows($result) > 1) {
$link = ""; $sel = "";
while ($data = dbarray($result)) {
if (isset($site_links)) $sel = ($site_links == $data['druzyna_id'] ? " selected" : "");
$link .= "<option value='".$data['druzyna_id']."'$sel>".$data['nazwa']."</option>\n";
}


if (isset($_POST['submit'])) {

$wykonany = array(
"mday" => isNum($_POST['data']['mday']) ? $_POST['data']['mday'] : "--",
"mon" => isNum($_POST['data']['mon']) ? $_POST['data']['mon'] : "--",
"year" => isNum($_POST['data']['year']) ? $_POST['data']['year'] : "----",
"hours" => isNum($_POST['data']['hours']) ? $_POST['data']['hours'] : "0",
"minutes" => isNum($_POST['data']['minutes']) ? $_POST['data']['minutes'] : "0",
);




		
		
		
if ($_POST['data']['mday']!="--" && $_POST['data']['mon']!="--" && $_POST['data']['year']!="----") {
$wykonany = mktime($_POST['data']['hours'],$_POST['data']['minutes'],0,$_POST['data']['mon'],$_POST['data']['mday'],$_POST['data']['year']);
}


$result = dbquery("INSERT INTO ".DB_TABELA_PILKARSKA_NMECZE." (druzyna1, druzyna2, data_meczu) VALUES ('".mysql_real_escape_string($_POST['druzyna1'])."', '".mysql_real_escape_string($_POST['druzyna2'])."', '$wykonany')");
 
 if ($result) {
echo "<center>Druzyna zostaa dodana poprawnie.</center><br>";
}

} else {

echo
 "
<form name='act1' method='post'>
<table cellpadding='0' cellspacing='0' class='center'>
<tr>
<td width='100' class='tbl' align='center'>Druyna:</td>
<td><select name='druzyna1' class='textbox' style='width:150px;'>
$link</select></td>
<td width='100' class='tbl' align='center'>Druyna:</td>
<td><select name='druzyna2' class='textbox' style='width:150px;'>
$link</select></td>
</tr>
<tr>
<td class='tbl' colspan='2' align='right'>Data meczu:</td>
<td class='tbl' colspan='2' align='left'>";
echo '<select name="data[mday]" class="textbox">';
for ($i=1;$i<=date("t", mktime(0, 0, 0, date('m'), 1, date('Y')));$i++) {
echo "<option value='$i'";
if ($i==date('d')) echo " selected='selected'";
echo ">$i</option>";
}

echo '</select>
<select name="data[mon]" onchange="ustaw(this.form)" class="textbox">';
for ($i=1;$i<=12;$i++) {
echo "<option value='$i'";
if ($i==date('m')) echo " selected='selected'";
echo ">$i</option>";
}

echo '</select><select name="data[year]" onchange="ustaw(this.form)" class="textbox">';
for ($i=date('Y');$i<=2015;$i++) {
echo "<option value='$i'";
if ($i==date('Y')) echo " selected='selected'";
echo ">$i</option>";
}

echo '</select> / <select name="data[hours]" onchange="ustaw(this.form)" class="textbox">';
for ($i=0;$i<=24;$i++) {
echo "<option value='$i'";
if ($i==date('H')) echo " selected='selected'";
echo ">$i</option>";
}

echo '</select> : <select name="data[minutes]" onchange="ustaw(this.form)" class="textbox">';
for ($i=0;$i<=59;$i++) {
echo "<option value='$i'";
if ($i==date('i')) echo " selected='selected'";
echo ">$i</option>";
}

echo "</select>
</td>
</tr>
<tr>
<tr>
<td align='center' colspan='4'>
<input type='submit' name='submit' value='Dodaj' class='button'>
<input type='reset' value='Wyszy' class='button''>
</td>
</tr> 
</table>
</form>";
}

} else {echo "<center>Musisz najpier utworzy <a href='".INFUSIONS."tabela_pilkarska_panel/dodaj.php".$aidlink."'>Dwie druny</a><br></center>";}

		
		
	$rok = date('Y');
$miech = date('n');
$dzien = date('j');
$time = gmmktime(0, 0, 0, $miech, $dzien, $rok);

$wynik = dbquery("SELECT u.*, b.nazwa AS nazwa1, c.nazwa AS nazwa2 FROM ".DB_TABELA_PILKARSKA_NMECZE." u 
LEFT JOIN ".DB_TABELA_PILKARSKA_DRUZYNY." b ON u.druzyna1=b.druzyna_id 
LEFT JOIN ".DB_TABELA_PILKARSKA_DRUZYNY." c ON u.druzyna2=c.druzyna_id 
WHERE u.data_meczu > '$time' ORDER BY u.data_meczu LIMIT 8");

echo "
<table width='100%' cellpadding='3' cellspacing='1' border='0' align='center' style='margin-top:1em;margin-bottom:1em;'>
<tr>
<td align='center' class='tbl2' style='font-weight:bold'>Nadchodzce mecze</td>
</tr>  
</table>";


echo "<table cellpadding='0' cellspacing='0' class='center'>";
if(dbrows($wynik) > 0) {      
while($r = dbarray($wynik))      
{

echo "<tr>
<td class='tbl' align='center'>
<a href='".INFUSIONS."tabela_pilkarska_panel/druzyna_stat.php?druzyna_id=".$r['druzyna1']."'>".$r['nazwa1']."</a></td>
<td class='tbl' align='center'>VS</td>
<td class='tbl' align='center'>
<a href='".INFUSIONS."tabela_pilkarska_panel/druzyna_stat.php?druzyna_id=".$r['druzyna2']."'>".$r['nazwa2']."</a></td>
<td class='tbl' align='center'>Data meczu:<br>".showdate("%d.%m.%Y %H:%M:%S", $r['data_meczu'])."</td>";
}
} else {
echo "<tr>
<td class='tbl' align='center' colspan='3'>Brak nadchodzcych meczy:</td>
</tr>";
}
echo "</table>";

closetable();

require_once THEMES."templates/footer.php";
?>
