<?php

/*-------------------------------------------------------+

| PHP-Fusion Content Management System

| Copyright (C) 2002 - 2008 Nick Jones

| http://www.php-fusion.co.uk/

+--------------------------------------------------------+

| Filename: news.php

| Author: Nick Jones (Digitanium)

+--------------------------------------------------------+

| This program is released as free software under the

| Affero GPL license. You can redistribute it and/or

| modify it under the terms of this license which you

| can read by viewing the included agpl.txt or online

| at www.gnu.org/licenses/agpl.html. Removal of this

| copyright header is strictly prohibited without

| written permission from the original author(s).

+--------------------------------------------------------*/

require_once "maincore.php";

require_once THEMES."templates/header.php";

include INFUSIONS."tabela_pilkarska_panel/infusion_db.php";

openside("AA");

if (!defined("DB_TABELA_PILKARSKA_DRUZYNY")) {

define("DB_TABELA_PILKARSKA_DRUZYNY", DB_PREFIX."tabela_pilkarska_druzyny");

}

if (!defined("DB_TABELA_PILKARSKA_RMECZE")) {

define("DB_TABELA_PILKARSKA_RMECZE", DB_PREFIX."tabela_pilkarska_rmecze");

}

echo "<table align='center' cellpadding='0' cellspacing='0' class='tbl' width='350'>

<tr>

<td width='2' class='tbl2'><b>Lp</b></td>

<td width='20' class='tbl2'><b>Klub</b></td>

<td width='5' class='tbl2'><b>Mecze</b></td>

<td width='5' class='tbl2'><b>Punkty</b></td>

<td width='5' class='tbl2'><b>Bramki zdobyte</b></td>

<td width='5' class='tbl2'><b>Bramki stracone</b></td>

</tr>";



$lp= 1;

$wynik = dbquery("SELECT u.*, b.nazwa AS nazwa, SUM(u.pkt) AS pkt, COUNT(u.druzyna_id) AS ile, SUM(u.zdobyte_bramki) AS zdobyte,

SUM(u.stracone_bramki) AS stracone

FROM ".DB_TABELA_PILKARSKA_RMECZE." u

LEFT JOIN ".DB_TABELA_PILKARSKA_DRUZYNY." b ON u.druzyna_id=b.druzyna_id

GROUP BY druzyna_id ORDER BY pkt DESC");

if(dbrows($wynik) > 0) {

while($r = dbarray($wynik)) {

//dwie pierwsze pozycje w tabeli

if ($lp <= 2){

echo "<tr><td width='5' class='tbl3'>";

echo $lp++;

echo "</td>

<td width='100%' class='tbl3'><a href='".INFUSIONS."tabela_pilkarska_panel/druzyna_stat.php?druzyna_id=".$r['druzyna_id']."'>".$r['nazwa']."</a></td>

<td width='100%' class='tbl3'>".$r['ile']."</td>

<td width='100%' class='tbl3'>".$r['pkt']."</td>

<td width='100%' class='tbl3'>".$r['zdobyte']."</td>

<td width='100%' class='tbl3'>".$r['stracone']."</td>

</tr>";

//dwie ostatnie pozycje w tabeli

} else if ($lp > (dbrows($wynik)-2)){

echo "<tr><td width='5' class='tbl4'>";

echo $lp++;

echo "</td>

<td width='100%' class='tbl4'><a href='".INFUSIONS."tabela_pilkarska_panel/druzyna_stat.php?druzyna_id=".$r['druzyna_id']."'>".$r['nazwa']."</a></td>

<td width='100%' class='tbl4'>".$r['ile']."</td>

<td width='100%' class='tbl4'>".$r['pkt']."</td>

<td width='100%' class='tbl4'>".$r['zdobyte']."</td>

<td width='100%' class='tbl4'>".$r['stracone']."</td>

</tr>";

} else {

//pozostae pozycje w tabeli

echo "<tr><td width='5' class='tbl1'>";

echo $lp++;

echo "</td>

<td width='100%' class='tbl1'><a href='".INFUSIONS."tabela_pilkarska_panel/druzyna_stat.php?druzyna_id=".$r['druzyna_id']."'>".$r['nazwa']."</a></td>

<td width='100%' class='tbl1'>".$r['ile']."</td>

<td width='100%' class='tbl1'>".$r['pkt']."</td>

<td width='100%' class='tbl1'>".$r['zdobyte']."</td>

<td width='100%' class='tbl1'>".$r['stracone']."</td>

</tr>";

}

}

} else {

echo "<tr><td align='center' colspan='4'>Brak rozegranych meczy</td></tr>";

}

echo "</table>";

closeside();





require_once THEMES."templates/footer.php";

?>

