<?php
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."tabela_pilkarska_panel/infusion_db.php";

openside('III liga');
$rok = date('Y');
$miech = date('n');
$dzien = date('j');
$time = gmmktime(0, 0, 0, $miech, $dzien, $rok);

$wynik = dbquery("SELECT u.*, b.nazwa AS nazwa1, c.nazwa AS nazwa2 FROM ".DB_TABELA_PILKARSKA_NMECZE." u 
LEFT JOIN ".DB_TABELA_PILKARSKA_DRUZYNY." b ON u.druzyna1=b.druzyna_id 
LEFT JOIN ".DB_TABELA_PILKARSKA_DRUZYNY." c ON u.druzyna2=c.druzyna_id 
WHERE u.data_meczu > '$time' ORDER BY u.data_meczu LIMIT 8"); // liczba 8 - ile ostatnich meczy ma zostac wyswietlonych

echo "
<table width='100%' cellpadding='3' cellspacing='1' border='0' align='center' style='margin-top:1em;margin-bottom:1em;'>
<tr>
<td align='center' class='tbl2' style='font-weight:bold'>Nadchodzce mecze</td>
</tr>  
</table>";


echo "<table cellpadding='0' cellspacing='0' class='center'>";
if(dbrows($wynik) > 0) {      
while($r = dbarray($wynik))      
{

echo "<tr>
<td class='tbl' align='center'>
<a href='".INFUSIONS."tabela_pilkarska_panel/druzyna_stat.php?druzyna_id=".$r['druzyna1']."'>".$r['nazwa1']."</a></td>
<td class='tbl' align='center'>VS</td>
<td class='tbl' align='center'>
<a href='".INFUSIONS."tabela_pilkarska_panel/druzyna_stat.php?druzyna_id=".$r['druzyna2']."'>".$r['nazwa2']."</a></td>
</tr><tr>
<td class='tbl' align='center' colspan='3'>".showdate("%d.%m.%Y %H:%M:%S", $r['data_meczu'])."</td>
</tr>";
}
} else {
echo "<tr>
<td class='tbl' align='center' colspan='3'>Brak nadchodzcych meczy:</td>
</tr>";
}
echo "</table>";

echo "
<table width='100%' cellpadding='3' cellspacing='1' border='0' align='center' style='margin-top:1em;margin-bottom:1em;'>
<tr>
<td align='center' class='tbl2' style='font-weight:bold'>Rozegrane mecze</td>
</tr>  
</table>";

$rozegrane = dbquery("SELECT u.*, b.nazwa AS nazwa1, c.nazwa AS nazwa2 FROM ".DB_TABELA_PILKARSKA_RZMECZE." u 
LEFT JOIN ".DB_TABELA_PILKARSKA_DRUZYNY." b ON u.druzyna_id1=b.druzyna_id 
LEFT JOIN ".DB_TABELA_PILKARSKA_DRUZYNY." c ON u.druzyna_id2=c.druzyna_id ORDER BY u.data LIMIT 8");

echo "<table cellpadding='0' cellspacing='0' class='center'>";
if(dbrows($rozegrane) > 0) {      
while($r1 = dbarray($rozegrane))      
{

echo "<tr>
<td class='tbl' align='center'>
<a href='".INFUSIONS."tabela_pilkarska_panel/druzyna_stat.php?druzyna_id=".$r1['druzyna_id1']."'>".$r1['nazwa1']."</a></td>
<td class='tbl' align='center'>".$r1['wynik']."</td>
<td class='tbl' align='center'>
<a href='".INFUSIONS."tabela_pilkarska_panel/druzyna_stat.php?druzyna_id=".$r1['druzyna_id2']."'>".$r1['nazwa2']."</a></td>
</tr><tr>
<td class='tbl' align='center' colspan='3'>".showdate("%d.%m.%Y %H:%M:%S", $r1['data'])."</td>
</tr>";
}
} else {
echo "<tr>
<td class='tbl' align='center' colspan='3'>Brak rozegranych meczy:</td>
</tr>";
}
echo "</table>";

closeside();
?>
